> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get My Hris Payslips

> Lists the caller's own non-deleted payslips.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-my-hris-payslips
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-my-hris-payslips:
    get:
      operationId: getMyHrisPayslips
      summary: Get My Hris Payslips
      description: |-
        Lists the caller's own non-deleted payslips.

        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMyHrisPayslipsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetMyHrisPayslipsResponse:
      type: array
      items:
        type: object
        properties:
          hrisPayslipID:
            type: string
          roleInOrgID:
            type: string
          payslipDate:
            type: string
          payPeriodLabel:
            type: string
          grossAmount:
            type: string
          employeeWithholdingAmount:
            type: string
          netAmount:
            type: string
          digitalAssetGross:
            type:
              - string
              - 'null'
          digitalAssetNet:
            type:
              - string
              - 'null'
          tokenWithholdingAmount:
            type:
              - string
              - 'null'
          payslipKind:
            type: string
            enum:
              - COMBINED
              - FIAT
              - TOKEN
          createdAt:
            type: string
          currency:
            type: object
            properties:
              currencyID:
                type: string
              currencyCode:
                type: string
              name:
                type: string
            required:
              - currencyID
              - currencyCode
              - name
          tokenCurrency:
            type:
              - object
              - 'null'
            properties:
              currencyID:
                type: string
              currencyCode:
                type: string
              name:
                type: string
            required:
              - currencyID
              - currencyCode
              - name
          components:
            type: array
            items:
              type: object
              properties:
                hrisPayslipComponentID:
                  type: string
                type:
                  type: string
                  enum:
                    - EARNING
                    - DEDUCTION
                    - EMPLOYER_CONTRIBUTION
                category:
                  type: string
                label:
                  type: string
                amount:
                  type: string
                tokenUnits:
                  type:
                    - string
                    - 'null'
                fmvRate:
                  type:
                    - string
                    - 'null'
                sortOrder:
                  type: integer
                currencyCode:
                  type:
                    - string
                    - 'null'
              required:
                - hrisPayslipComponentID
                - type
                - category
                - label
                - amount
                - tokenUnits
                - fmvRate
                - sortOrder
                - currencyCode
          file:
            type:
              - object
              - 'null'
            properties:
              fileID:
                type: string
              fileName:
                type: string
              mimeType:
                type: string
              fileSizeInBytes:
                type:
                  - number
                  - 'null'
            required:
              - fileID
              - fileName
              - mimeType
              - fileSizeInBytes
          createdBy:
            type: object
            properties:
              roleInOrgID:
                type: string
              fullName:
                type: string
              email:
                type:
                  - string
                  - 'null'
            required:
              - roleInOrgID
              - fullName
              - email
        required:
          - hrisPayslipID
          - roleInOrgID
          - payslipDate
          - payPeriodLabel
          - grossAmount
          - employeeWithholdingAmount
          - netAmount
          - digitalAssetGross
          - digitalAssetNet
          - tokenWithholdingAmount
          - payslipKind
          - createdAt
          - currency
          - tokenCurrency
          - components
          - file
          - createdBy
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
